#include <allegro.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

/* Comment this to test file_select(), uncomment to test file_select_ex */
#define TEST_EX

#ifdef TEST_EX

int callback(char *filename, int param)
{
   static int k=0;
   int i;

   if(!k) {
      i=alert3("file_select_ex callback", filename, "include this file?", "Yes", "No", "&All", 13, 27, 'a');
      if(i==1)
   	   return(1);
      else
      if(i==2)
         return(0);
      else {
         k=1;
         return(1);
      }
   }
}

#endif		/* TEST_EX */

int main(void)
{
   char buf[512];

   allegro_init();
   install_keyboard();
   install_mouse();
   install_timer();

   set_gfx_mode(GFX_SAFE, 640, 480, 0, 0);
   set_palette(desktop_palette);

   getcwd(buf, 511);
#ifndef TEST_EX
   file_select("This is file_select", buf, NULL);
#else
   file_select_ex("This is file_select_ex", buf, NULL, callback, 0);
#endif
   allegro_exit();
   printf("Selected: %s\n", buf);

   return(0);
}

